VMTKIMAGEVESSELENHANCEMENT(1)

NAME
vmtkimagevesselenhancement - vmtk script vmtkimagevesselenhancement

DESCRIPTION
Automatic piping vmtkimagevesselenhancement Parsing options vmtkimagevesselenhancement

vmtkimagevesselenhancement : compute a feature image for use in

    segmentation

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Image (vtkImageData,1): the input image

-ifile ImageInputFileName (str,1): filename for the default Image

    reader

-method Method (str,1) in ['frangi', 'sato', 'ved', 'vedm'];

    default=frangi

-sigmamin SigmaMin (float,1) >= 0.0; default=1.0

-sigmamax SigmaMax (float,1) >= 0.0; default=1.0

-sigmasteps NumberOfSigmaSteps (int,1) >= 0; default=1

-stepmethod SigmaStepMethod (str,1) in ['equispaced',

    'logarithmic']; default=equispaced

-scaled ScaledVesselness (bool,1); default=0: (frangi)

-brightobject BrightObject (bool,1); default=True: (frangi)

-alpha1 Alpha1 (float,1) >= 0.0; default=0.5: (sato)

-alpha2 Alpha2 (float,1) >= 0.0; default=2.0: (sato)

-alpha Alpha (float,1) >= 0.0; default=0.5: (frangi, ved, vedm)

-beta Beta (float,1) >= 0.0; default=0.5: (frangi, ved, vedm)

-gamma Gamma (float,1) >= 0.0; default=5.0: (frangi, ved, vedm)

-c C (float,1) >= 0.0; default=1e-06: (ved)

-timestep TimeStep (float,1) >= 0.0; default=0.01: (ved, vedm)

-epsilon Epsilon (float,1) >= 0.0; default=0.01: (ved, vedm)

-wstrength WStrength (float,1) >= 0.0; default=25.0: (ved, vedm)

-sensitivity Sensitivity (float,1) >= 0.0; default=5.0: (ved, vedm)

-iterations NumberOfIterations (int,1) >= 0; default=0: (ved, vedm)

-subiterations NumberOfDiffusionSubIterations (int,1) >= 1;

    default=0: (ved, vedm)

-ofile ImageOutputFileName (str,1): filename for the default Image

    writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Image (vtkImageData,1): the output image